﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Globalization;
using System.Windows.Data;

namespace SilverlightApplication4
{
	public class TVITypeToOptionTypeConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (value is TVIType)
			{
				switch ((TVIType)value)
				{
					case TVIType.Building:
					case TVIType.Location:
					case TVIType.TreeStructureItem:
					return OptionListType.CheckList;
					default:
					return OptionListType.None;
				}
			}
			return null;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			return value;
		}
	}

}
