﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication4
{
	public class TemplateSelector : DataTemplateSelector
	{
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if (item is TVIWrapper && (item as TVIWrapper).Type == TVIType.Divider)
				return DividerTemplate;
			if (item is TVIWrapper)
				return TVITemplate;
			return null;
		}

		public DataTemplate DividerTemplate { get; set; }
		public DataTemplate TVITemplate { get; set; }
	}

}
