﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace SilverlightApplication4
{
	public class TVIWrapper : ViewModelBase
	{
		
		public string Header { get; set; }
		public TVIType Type { get; set; }
		
		private bool isCheckBoxVisible;
		public bool IsCheckBoxVisible
		{
			get
			{
				return this.isCheckBoxVisible;
			}
			set
			{
				if (this.isCheckBoxVisible != value)
				{
					this.isCheckBoxVisible = value;
					OnPropertyChanged("IsCheckBoxVisible");
				}
			}
		}
        
		public ObservableCollection<TVIWrapper> Children { get; set; }

		
		private bool isEnabled;
		public bool IsEnabled
		{
			get
			{
				return this.isEnabled;
			}
			set
			{
				if (this.isEnabled != value)
				{
					this.isEnabled = value;
					OnPropertyChanged("IsEnabled");
				}
			}
		}
        

		private bool isExpanded;
		public bool IsExpanded
		{
			get
			{
				return this.isExpanded;
			}
			set
			{
				if (this.isExpanded != value)
				{
					this.isExpanded = value;
					OnPropertyChanged("IsExpanded");
				}
			}
		}
        

		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					OnPropertyChanged("IsSelected");
				}
			}
		}
        
		public TVIWrapper()
		{
			Children = new ObservableCollection<TVIWrapper>();
		}
	}
}
